RagTime5SpreadsheetInternal::Sheet::Plane Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
RagTime5SpreadsheetInternal::Sheet::Plane Struct Reference

a plane: a list of rows map More...

## Public Member Functions
| Plane (int plane)
| constructor More...
int | getPlane () const
| returns the plane More...
bool | isEmpty () const
| returns true if the row is empty More...
MWAWVec2i | getSpan (MWAWVec2i const &position) const
| returns the span value corresponding to an id More...
void | splitRows (MWAWVec2i const &rows)
| split rows if needed, so that we can insert cells correspond to the rows interval More...
void | update (Sheet const &sheet, MWAWBox2i const &box, int id, int contentId)
| update the cells content type More...

## Public Attributes
int | m_plane
| the plane More...
std::map< MWAWVec2i, Row > | m_rowsToDataMap
| the map rows to data More...
std::map< MWAWVec2i, MWAWVec2i > | m_unitedCellMap
| the list of united cell: map from TL cell to RB cell More...

## Friends
std::ostream & | operator<< (std::ostream &o, Plane const &plane)

## Detailed Description

a plane: a list of rows map

## Constructor & Destructor Documentation

## ◆ Plane()

RagTime5SpreadsheetInternal::Sheet::Plane::Plane | ( | int | plane | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getPlane()

int RagTime5SpreadsheetInternal::Sheet::Plane::getPlane | ( |  | ) | const
| inline

returns the plane

## ◆ getSpan()

MWAWVec2i RagTime5SpreadsheetInternal::Sheet::Plane::getSpan | ( | MWAWVec2i const & | position | ) | const
| inline

returns the span value corresponding to an id

## ◆ isEmpty()

bool RagTime5SpreadsheetInternal::Sheet::Plane::isEmpty | ( |  | ) | const
| inline

returns true if the row is empty

## ◆ splitRows()

void RagTime5SpreadsheetInternal::Sheet::Plane::splitRows | ( | MWAWVec2i const & | rows | ) |
| inline

split rows if needed, so that we can insert cells correspond to the rows interval

Referenced by RagTime5SpreadsheetInternal::Sheet::setMergedCells(), and update().

## ◆ update()

void RagTime5SpreadsheetInternal::Sheet::Plane::update | ( | Sheet const & | sheet,
|  | MWAWBox2i const & | box,
|  | int | id,
|  | int | contentId
| ) |  |
| inline

update the cells content type

Referenced by RagTime5SpreadsheetInternal::Sheet::setMergedCells(), and RagTime5SpreadsheetInternal::Sheet::setPLCValues().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Plane const & | plane
| ) |  |
| friend

## Member Data Documentation

## ◆ m_plane

int RagTime5SpreadsheetInternal::Sheet::Plane::m_plane

the plane

Referenced by getPlane().

## ◆ m_rowsToDataMap

std::map<MWAWVec2i, Row> RagTime5SpreadsheetInternal::Sheet::Plane::m_rowsToDataMap

the map rows to data

Referenced by isEmpty(), Plane(), splitRows(), and update().

## ◆ m_unitedCellMap

std::map<MWAWVec2i, MWAWVec2i> RagTime5SpreadsheetInternal::Sheet::Plane::m_unitedCellMap

the list of united cell: map from TL cell to RB cell

Referenced by getSpan(), and RagTime5SpreadsheetInternal::Sheet::setMergedCells().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx